Package dev.plex.util

# Class TimeUtils

java.lang.Object
dev.plex.util.TimeUtils

public class TimeUtils extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final DateTimeFormatter`
`DATE_FORMAT`
`private static final List<String>`
`timeUnits`
`static String`
`TIMEZONE`
`private static final Set<String>`
`TIMEZONES`

## Constructor Summary

Constructors
Constructor
Description
`TimeUtils()`

## Method Summary

Modifier and Type
Method
Description
`static ZonedDateTime`
`createDate(String arg)`
`private static int`
`parseInteger(String s)`
`static String`
`useTimezone(LocalDateTime date)`
`static String`
`useTimezone(ZonedDateTime date)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DATE_FORMAT

private static final DateTimeFormatter DATE_FORMAT

### TIMEZONES

private static final Set<String> TIMEZONES

### timeUnits

private static final List<String> timeUnits

### TIMEZONE

public static String TIMEZONE

## Constructor Details

### TimeUtils

public TimeUtils()

## Method Details

### parseInteger

private static int parseInteger(String s) throws NumberFormatException

Throws:
  `NumberFormatException`

### createDate

public static ZonedDateTime createDate(String arg)

### useTimezone

public static String useTimezone(LocalDateTime date)

### useTimezone

public static String useTimezone(ZonedDateTime date)